<template>
  <footer class="Footer">
    <Link
      :title="t('settings.title')"
      class="Footer__SettingsLink"
      to="/settings"
    >
      <Icon :icon="Icons.settings" />
    </Link>

    <Button
      :icon="Icons.download"
      :label="settings.downloadFormat"
      :title="t('download')"
      class="Footer__DownloadButton Button--outlined"
      @click="Download"
    />

    <span class="Footer__Message"
      >Open Source
      <Link href="https://gitlab.com/savadenn-public/time-manager/time-manager"
        >Time Manager</Link
      >
      made with ♥ by
      <Link href="https://www.savadenn.bzh">Savadenn</Link>
    </span>
  </footer>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import Link from '@/components/Link.vue'
import { Icons } from '@/Icons'
import { Button, Icon } from '@/components'
import { Formatters } from '@/export'
import { settings } from '@/states'
import { Entries } from '@/stores'
import { useTranslation } from '@/components/UseTranslation'

export default defineComponent({
  name: 'Footer',
  components: { Button, Link, Icon },
  setup() {
    return {
      Icons,
      ...useTranslation(),
      async Download() {
        const entries = await Entries.all()
        Formatters[settings.downloadFormat].download(entries)
      },
      settings,
    }
  },
})
</script>

<style lang="scss" scoped>
@use '../../style/variables' as v;

.Footer {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: v.$spacing-4;

  * {
    margin: 0 v.$spacing-2;
  }

  &__Message {
    display: inline-flex;
    flex: 1 1;
    justify-content: flex-end;
    font-size: 0.8rem;
  }

  &__SettingsLink {
    font-size: 1.5rem;
  }
}
</style>
